#include <stdint.h>
#include "Pi3_serial.h"
#include "mca_serial_device.h"
#include "mca1k_api.h"
#include "bpi_globals.h"

#include <stdio.h> // For debugging on a device with a file system

void main(){
    struct mca_command mca_cmd;
    float arm_ctrl_reset[64] = {0, 0, 1, 27.0, 1, 0.05, 25.0, 795.64, 0, 328.47, 60, 800, 0x401, 0, 0, 0,
	1.0e-6, 60, 800, 0.1, 0, 40, 100, 100, 60, 1.0e-5, 1.0, 0.015, 23, 10, 1024, 115200,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};

    bpi_serial_init();  // Prepare the serial interface communication
    printf("read_arm_ctrl.L17: bpi_serial_init() done.\n");

    arm_command_defaults(&mca_cmd);  // First prepare the mca_cmd structure
    for(uint32_t n=0; n<64; n++){
        mca_cmd.f_data[n] = arm_ctrl_reset[n];
    }

    mca_cmd.mem_type = MT_FLASH;  // Write to flash
    arm_ctrl_write(&mca_cmd);

    timer_wait(100*1000);
    mca_cmd.mem_type = MT_RAM;  // Read from RAM
    arm_ctrl_read(&mca_cmd);

    {  // Debugging block
        FILE *fout;
        float *fp = (float *)data;
        uint32_t *up = (uint32_t *)data;
        fout = fopen("./data/arm_ctrl.txt","w");
        for(uint32_t n=0; n<64; n++){
            fprintf(fout, "%f\n", fp[n]);
            //fprintf(fout, "%u\n", up[n]);
        }
        fprintf(fout, "\n");
        fclose(fout);
    }

}
