import json
import matplotlib.pyplot as plt
import plot_controls as pc
import sys
sys.path.append("../../bpi_imports/")  # Make import search the 'import' directory in the parent directory also.
import bpi_plots


def get_baseline_scan(par):
    file_name = par["file_name"]
    ovs = []
    baselines = []

    with open(file_name, 'r') as fin:
        for line in fin:
            dd = json.loads(line)  # Load the data dictionary
            ovs += [dd["ov"]]
            baselines += [dd["baseline"]]

    return ovs, baselines


par = {
    "file_name": "../data/baseline_scan.dat"
}
ovs, baselines = get_baseline_scan(par)
pc.plot_ctrl["labels"]["xlabel"] = "Operating voltage, V"
pc.plot_ctrl["labels"]["ylabel"] = "ADC baseline, 0 ... 4095"
pc.plot_ctrl["labels"]["title"] = "ADC Baseline vs Operating Voltage"
bpi_plots.line_plot(ovs, baselines, pc.plot_ctrl)


plt.show()
