import json
import time
import zmq
import sys
sys.path.append("../../bpi_imports/")  # Make import search the 'bpi_import' directory also.
import bpi_communication


def read_arm_ctrl(file_name):
    """
    We assume that only one device is attached, and that the MCA Data Server is running.
    Read the current arm_ctrl data from the ARM processor.

    :param file_name: Write the arm arm_ctrl data to this file.
    :return:
    """

    mds_client, sn = bpi_communication.connect_one_device()

    # Read arm_status
    cmd = {"type": "mca_cmd", "name": "arm_ctrl", "dir": "read", "sn": sn}
    ret = mds_client.sar(cmd)
    arm_ctrl = ret[sn]

    with open(file_name, 'w') as fout:
        fout.write(json.dumps(arm_ctrl) + ",\n")


read_arm_ctrl(file_name="../data/arm_ctrl.json")
