import json
import matplotlib.pyplot as plt
import plot_controls as pc
import sys
sys.path.append("../../bpi_imports/")  # Make import search the 'import' directory in the parent directory also.
import bpi_plots


def get_pulses(par):
    file_name = par["file_name"]
    min_index = par["index_range"][0]
    max_index = par["index_range"][1]
    pulses = []

    with open(file_name, 'r') as fin:
        for nl, line in enumerate(fin):
            pulse = json.loads(line)  # Load the data dictionary
            if min_index <= nl < max_index:
                pulses += [pulse]
            if nl >= max_index:
                break

    return pulses


par = {
    "file_name": "../data/nai_pulses.dat",
    "index_range": [0, 10]
}
pulses = get_pulses(par)

adc_sr = 24  # MHz
x_data = [n/adc_sr for n in range(len(pulses[0]))]

pc.plot_ctrl["labels"]["xlabel"] = "Time, micro-sec"
pc.plot_ctrl["labels"]["ylabel"] = "Amplitude; 0 to 4095 bins"
pc.plot_ctrl["labels"]["title"] = "Scintillator pulses vs time"
bpi_plots.line_plot_y_array(x_data, pulses, pc.plot_ctrl)


plt.show()
